LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Macros | Functions
ce_thumbs.c File Reference
`#include "main.h"`
`#include "effects-weed.h"`
`#include "effects.h"`
`#include "paramwindow.h"`
`#include "ce_thumbs.h"`

## Macros
#define | SPARE_CLIP_BOXES 100

## Functions
void | ce_thumbs_set_interactive (boolean interactive)
void | ce_thumbs_set_key_check_state (void)
void | ce_thumbs_set_keych (int key, boolean on)
void | ce_thumbs_set_mode_combo (int key, int mode)
void | start_ce_thumb_mode (void)
void | end_ce_thumb_mode (void)
void | ce_thumbs_add_param_box (int key, boolean remove)
void | ce_thumbs_register_rfx_change (int key, int mode)
void | ce_thumbs_apply_rfx_changes (void)
void | ce_thumbs_update_params (int key, int i, LiVESList *list)
void | ce_thumbs_update_visual_params (int key)
void | ce_thumbs_check_for_rte (lives_rfx_t *rfx, lives_rfx_t *rte_rfx, int key)
void | ce_thumbs_reset_combo (int key)
void | ce_thumbs_reset_combos (void)
void | ce_thumbs_set_clip_area (void)
void | ce_thumbs_set_fx_area (int area)
void | ce_thumbs_update_current_clip (void)
void | ce_thumbs_highlight_current_clip (void)
void | ce_thumbs_liberate_clip_area (int area)
void | ce_thumbs_liberate_clip_area_register (int area)
void | ce_thumbs_apply_liberation (void)

## Macro Definition Documentation

#define SPARE_CLIP_BOXES 100

## Function Documentation

void ce_thumbs_add_param_box | ( | int | key,
|  | boolean | remove
| ) |  |

void ce_thumbs_apply_liberation | ( | void |  | ) |

void ce_thumbs_apply_rfx_changes | ( | void |  | ) |

void ce_thumbs_check_for_rte | ( | lives_rfx_t * | rfx,
|  | lives_rfx_t * | rte_rfx,
|  | int | key
| ) |  |

void ce_thumbs_highlight_current_clip | ( | void |  | ) |

void ce_thumbs_liberate_clip_area | ( | int | area | ) |

void ce_thumbs_liberate_clip_area_register | ( | int | area | ) |

void ce_thumbs_register_rfx_change | ( | int | key,
|  | int | mode
| ) |  |

void ce_thumbs_reset_combo | ( | int | key | ) |

void ce_thumbs_reset_combos | ( | void |  | ) |

void ce_thumbs_set_clip_area | ( | void |  | ) |

void ce_thumbs_set_fx_area | ( | int | area | ) |

void ce_thumbs_set_interactive | ( | boolean | interactive | ) |

void ce_thumbs_set_key_check_state | ( | void |  | ) |

void ce_thumbs_set_keych | ( | int | key,
|  | boolean | on
| ) |  |

void ce_thumbs_set_mode_combo | ( | int | key,
|  | int | mode
| ) |  |

void ce_thumbs_update_current_clip | ( | void |  | ) |

void ce_thumbs_update_params | ( | int | key,
|  | int | i,
|  | LiVESList * | list
| ) |  |

void ce_thumbs_update_visual_params | ( | int | key | ) |

void end_ce_thumb_mode | ( | void |  | ) |

void start_ce_thumb_mode | ( | void |  | ) |